It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Hey,

I installed this game on a fedora 23 machine and after clicking ok in the superhot launcher nothing happens. The game itself wont start. This is what the logs say:

Running SUPERHOT
Set current directory to /opt/ash1125/GOG Games/SUPERHOT/game
Found path: /opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT.x86_64
Mono path[0] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Managed'
Mono path[1] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono'
Mono config path = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono/etc'
displaymanager : xrandr version warning. 1.5
client has 4 screens
displaymanager screen (0)(eDP1): 1920 x 1080
Using libudev for joystick management
Importing game controller configs

Can you please help me to launch this Superhot new game?

Thanks in advance
No posts in this topic were marked as the solution yet. If you can help, add your reply
try opening a terminal session, going to /home/<your usename>/GOG Games/SUPERHOT and running ./start.sh
avatar
generic_demon: try opening a terminal session, going to /home/<your usename>/GOG Games/SUPERHOT and running ./start.sh
thanks, but it has the same symptoms as starting desktop shortcut. After clicking ok in the launcher nothing happens.

Here is the console output:

[ash1125@localhost ~]$ /opt/ash1125/GOG\ Games/SUPERHOT/start.sh
Running SUPERHOT
Set current directory to /opt/ash1125/GOG Games/SUPERHOT/game
Found path: /opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT.x86_64
Mono path[0] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Managed'
Mono path[1] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono'
Mono config path = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono/etc'
displaymanager : xrandr version warning. 1.5
client has 4 screens
displaymanager screen (0)(eDP1): 1920 x 1080
Using libudev for joystick management


Importing game controller configs
avatar
generic_demon: try opening a terminal session, going to /home/<your usename>/GOG Games/SUPERHOT and running ./start.sh
avatar
pipelinepig: thanks, but it has the same symptoms as starting desktop shortcut. After clicking ok in the launcher nothing happens.

Here is the console output:

[ash1125@localhost ~]$ /opt/ash1125/GOG\ Games/SUPERHOT/start.sh
Running SUPERHOT
Set current directory to /opt/ash1125/GOG Games/SUPERHOT/game
Found path: /opt/ash1125/GOG Games/SUPERHOT/game//SUPERHOT.x86_64
Mono path[0] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Managed'
Mono path[1] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono'
Mono config path = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono/etc'
displaymanager : xrandr version warning. 1.5
client has 4 screens
displaymanager screen (0)(eDP1): 1920 x 1080
Using libudev for joystick management

Importing game controller configs
i have looked at the error again, i am wondering if it is mono issue, you could try "yum install mono-core" as su, but check my syntax, i am a debian/linux mint user and we use apt-get.

you could also try running ./SUPERHOT.x86_64 from the /opt/ash1125/GOG Games/SUPERHOT/game/ directory, but i suspect you'll get the same error.
avatar
pipelinepig: thanks, but it has the same symptoms as starting desktop shortcut. After clicking ok in the launcher nothing happens.

Here is the console output:

[ash1125@localhost ~]$ /opt/ash1125/GOG\ Games/SUPERHOT/start.sh
Running SUPERHOT
Set current directory to /opt/ash1125/GOG Games/SUPERHOT/game
Found path: /opt/ash1125/GOG Games/SUPERHOT/game//SUPERHOT.x86_64
Mono path[0] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Managed'
Mono path[1] = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono'
Mono config path = '/opt/ash1125/GOG Games/SUPERHOT/game/SUPERHOT_Data/Mono/etc'
displaymanager : xrandr version warning. 1.5
client has 4 screens
displaymanager screen (0)(eDP1): 1920 x 1080
Using libudev for joystick management

Importing game controller configs
avatar
generic_demon: i have looked at the error again, i am wondering if it is mono issue, you could try "yum install mono-core" as su, but check my syntax, i am a debian/linux mint user and we use apt-get.

you could also try running ./SUPERHOT.x86_64 from the /opt/ash1125/GOG Games/SUPERHOT/game/ directory, but i suspect you'll get the same error.
Hey I resolved the issue. In the player.log file under ~./config/unity3d/SUPERHOT_Team/SUPERHOT/
the error message

-------- failed compiling:
fragment evaluation shader
Note: Creation of internal variant of shader 'Sprites/Default' failed.
PlayerInitEngineGraphics: GPU not supported; OpenGL 3.2 is required. Your GPU (Mesa DRI Intel(R) Haswell Mobile ) or OpenGL drivers only supports OpenGL 3.0
Failed to initialize player
is displayed.

This is a known unity issue:
https://issuetracker.unity3d.com/issues/linux-slash-opengl-new-opengl-core-linux-standalone-doesnt-run-on-intelhd-4000-fails-with-unsupported-opengl-version-error

the workaround would be to launch the executable directly (thanks for the hint) with the option -force-opengl:
that would be:

$ ./GOG\ Games/SUPERHOT/game/SUPERHOT.x86_64 -force-opengl

the game looks a bit weird then, but its playable!
nice one, its definitely won't the fight to get it running :-)